Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IDataSourceInstance

    public interface IDataSourceInstance

Method Summary
`java.util.Map` | `getAllExtensionProperties()` Gets the public connection properties, in the form of a (name, value) pairs.
`java.lang.String` | `getExtensionID()` Gets the ID of the ODA extension which defines this type of data source
`java.lang.String` | `getExtensionProperty(java.lang.String name)` Get the extension property value
`java.lang.String` | `getName()` Gets the name of this data source
`void` | `setExtensionProperty(java.lang.String name, java.lang.String value)` Set the extension property value

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this data source

### getExtensionID

    java.lang.String getExtensionID()

  Gets the ID of the ODA extension which defines this type of data source

### getExtensionProperty

    java.lang.String getExtensionProperty(java.lang.String name)

  Get the extension property value

  Parameters:
    `name` -
  Returns:
    the extention property

### setExtensionProperty

    void setExtensionProperty(java.lang.String name,
                              java.lang.String value)

  Set the extension property value

  Parameters:
    `name` -
    `value` -

### getAllExtensionProperties

    java.util.Map getAllExtensionProperties()

  Gets the public connection properties, in the form of a (name, value) pairs. The property name is of String type. The property value is of String type.

  Returns:
    Public properties as a Map of name-value pairs. Null if none is defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.